class RxMailer < ApplicationMailer
  # file_attachments looks like: {name: 'attachment_name.txt', path: 'c:\myfiles\send.txt'}
  def send_email(smtp_settings, from, to, subject, body, file_attachments = nil)
    @body = body
    file_attachments&.each do |a|
      File.open(a[:path], "rb") do |f|
        attachments[a[:name]] = f.read
      end
    end

    mail(from: from,
         to: to,
         subject: subject,
         delivery_method_options: smtp_settings) do |format|
      format.html
    end
  end
end
