class OAuthsController < ApplicationController
  before_action :set_user

  def index
    @models = @user.o_auths
  end

  def destroy
    @user.o_auths.find(params[:id]).destroy
  end

  def refresh
    o_auth = @user.o_auths.find(params[:o_auth_id])
    o_auth.refresh_token!
    render json: o_auth
  end

  private

  def set_user
    if current_user && params[:user_id] == current_user[:id].to_s
      @user = User.find(params[:user_id])
    else
      head :forbidden
    end
  end
end
