# == Schema Information
#
# Table name: component_permissions
#
#  id                    :bigint           not null, primary key
#  action_display_name   :string
#  target_category       :string
#  target_display_name   :string
#  created_at            :datetime         not null
#  updated_at            :datetime         not null
#  action_id             :string
#  component_id          :bigint           not null
#  feature_module_id     :string
#  feature_subfeature_id :string
#  target_id             :string
#
# Indexes
#
#  index_component_permissions_on_component_id  (component_id)
#
# Foreign Keys
#
#  fk_rails_...  (component_id => components.id) ON DELETE => cascade
#
class ComponentPermission < ApplicationRecord
  belongs_to :component
  has_many :role_permissions
end
